Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf
Class HWPFOldDocument

    java.lang.Object
      org.apache.poi.POIDocument
          org.apache.poi.hwpf.HWPFDocumentCore
              org.apache.poi.hwpf.HWPFOldDocument

    public class HWPFOldDocument

extends HWPFDocumentCore

Provides very simple support for old (Word 6 / Word 95) files.

Constructor Summary
`HWPFOldDocument(org.apache.poi.poifs.filesystem.DirectoryNode directory)`
`HWPFOldDocument(org.apache.poi.poifs.filesystem.DirectoryNode directory, org.apache.poi.poifs.filesystem.POIFSFileSystem fs)`
`HWPFOldDocument(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)`

Method Summary
`Range` | `getOverallRange()` Returns the range that covers all text in the file, including main text, footnotes, headers and comments
`Range` | `getRange()` Returns the range which covers the whole of the document, but excludes any headers and footers.
`java.lang.StringBuffer` | `getText()` Internal method to access document text
`TextPieceTable` | `getTextTable()`
`void` | `write(java.io.OutputStream out)`

Methods inherited from class org.apache.poi.hwpf.HWPFDocumentCore
`getCharacterTable, getDocumentText, getFileInformationBlock, getFontTable, getListTables, getObjectsPool, getParagraphTable, getSectionTable, getStyleSheet, verifyAndBuildPOIFS`

Methods inherited from class org.apache.poi.POIDocument
`createInformationProperties, getDocumentSummaryInformation, getSummaryInformation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HWPFOldDocument

    public HWPFOldDocument(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

### HWPFOldDocument

    public HWPFOldDocument(org.apache.poi.poifs.filesystem.DirectoryNode directory,
                           org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

### HWPFOldDocument

    public HWPFOldDocument(org.apache.poi.poifs.filesystem.DirectoryNode directory)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getOverallRange

    public Range getOverallRange()

  Description copied from class: `HWPFDocumentCore`
  Returns the range that covers all text in the file, including main text, footnotes, headers and comments

  Specified by:
    `getOverallRange` in class `HWPFDocumentCore`

### getRange

    public Range getRange()

  Description copied from class: `HWPFDocumentCore`
  Returns the range which covers the whole of the document, but excludes any headers and footers.

  Specified by:
    `getRange` in class `HWPFDocumentCore`

### getTextTable

    public TextPieceTable getTextTable()

  Specified by:
    `getTextTable` in class `HWPFDocumentCore`

### getText

    public java.lang.StringBuffer getText()

  Description copied from class: `HWPFDocumentCore`
  Internal method to access document text

  Specified by:
    `getText` in class `HWPFDocumentCore`

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Specified by:
    `write` in class `org.apache.poi.POIDocument`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD